const fs = require("fs");

let src = "./src";

let list = [];
let readdir = (src) => {
  let files = fs.readdirSync(src)
  files.forEach(file => {
    let path = `${src}/${file}`;
    let stat = fs.lstatSync(path);
    if (stat.isFile()) {
      list.push({
        name: file.replace(".js", ""),
        path: path
      });
    }
    if (stat.isDirectory()) {
      readdir(path);
    }
  });
};

readdir(src);

let comment = `//Generated By build.js ${new Date()}\n`;
let requireContent = "";
let exportHeader = `\nmodule.exports.default = module.exports = {\n`;
let exportContent = "";
let exportFooter = `}`;
list.forEach((item, index) => {
  requireContent += `const ${item.name} = require("${item.path}");\n`;
  if (index === list.length - 1) {
    exportContent += `\t${item.name}\n`;
  } else {
    exportContent += `\t${item.name},\n`;
  }
});

fs.writeFile("./index.js", `${comment}${requireContent}${exportHeader}${exportContent}${exportFooter}`, (err) => {
  Error();
})